# $Revision: 1.31 $, $Date: 2008-06-14 10:20:17 $
Summary:	jigdo - Jigsaw Download - easy the distribution of very large files
Summary(pl.UTF-8):	jigdo - łatwa dystrybucja dużych plików
Name:		jigdo
Version:	0.7.3
Release:	6
License:	GPL v2
Group:		Applications
Source0:	http://atterer.net/jigdo/%{name}-%{version}.tar.bz2
# Source0-md5:	bbc1d9ac750bb34e0748f0b57157cc72
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://atterer.net/jigdo/
BuildRequires:	ImageMagick-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	curl-devel >= 7.11
BuildRequires:	gtk+2-devel >= 2:2.4
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jigsaw Download, or short jigdo, is a tool designed to ease the
distribution of very large files over the internet, for example CD or
DVD images. Its aim is to make downloading the images as easy for
users as a click on a direct download link in a browser, while
avoiding all the problems that server administrators have with hosting
such large files.

%description -l pl.UTF-8
jigdo to narzędzie do łatwej dystrybucji bardzo dużych plików
w Internecie, na przykład obrazów CD lub DVD. Łatwość ściągania
polega tylko na kliknięciu odnośnika w przeglądarce, omijając
problemy jakie niesie hostowanie dużych plików administratorom.

%package gtk
Summary:	GTK+2 based download manager
Summary(pl.UTF-8):	Zarządca pobierania oparty na GTK+2
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description gtk
Provides GTK+2 based download manager. 

%description gtk -l pl.UTF-8
Pakiet zawiera zarządcę pobierania, opartego na GTK+2.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--with-gui
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/jigdo.desktop
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/jigdo.png

rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/COPYING

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README THANKS changelog
%attr(755,root,root) %{_bindir}/jigdo-*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/debian-mirrors.jigdo
%{_mandir}/man1/jigdo-*.1*

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jigdo
%{_datadir}/%{name}/pixmaps
%{_mandir}/man1/jigdo.1*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jigdo.spec,v $
Revision 1.31  2008-06-14 10:20:17  arekm
- rel 6

Revision 1.30  2007-09-10 13:17:25  megabajt
- release 5

Revision 1.29  2007/06/14 18:20:46  arekm
- rel 4

Revision 1.28  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.27  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.26  2006/12/23 23:12:09  megabajt
- release 3

Revision 1.25  2006/10/11 20:39:00  megabajt
- add desktop file and icon

Revision 1.24  2006/10/11 15:36:53  megabajt
- add gtk subpackage (GTK+2 based download manager)
- rel. 2

Revision 1.23  2006/05/28 12:55:09  megabajt
- up to 0.7.3

Revision 1.22  2005/07/16 11:00:33  charles
- up to 0.7.2
- BR curl-devel instead of w3c-libwww-devel, rm db-devel
- cleanups, proper license

Revision 1.21  2005/04/09 15:45:16  darekr
- gpm-friendly Source0

Revision 1.20  2005/04/09 08:32:43  charles
- sorted BRs

Revision 1.19  2005/04/09 08:15:37  charles
- BR: libstdc++-devel, pkgconfig

Revision 1.18  2004/06/23 22:08:18  radek
- version 0.7.1

Revision 1.17  2004/03/19 23:46:27  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.16  2003/11/25 12:11:45  ankry
- use tabs

Revision 1.15  2003/11/25 11:48:17  emes
- added BuildReq: gtk+2-devel

Revision 1.14  2003/06/13 10:18:43  qboosh
- added db4 patch, s/db3-devel/db-devel/
- don't touch gettextize, it relies on automake (not used in this project)

Revision 1.13  2003/06/11 23:51:41  djrzulf
- updated TODO

Revision 1.12  2003/06/11 23:33:00  djrzulf
- updated to 0.7.0

Revision 1.11  2003/05/28 12:59:15  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:49:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/06 12:23:53  radek
- fixed Source0 URL

Revision 1.8  2003/04/02 15:04:34  qboosh
- missing BRs, typos, added TODO

Revision 1.7  2003/04/02 14:56:09  djrzulf
- cleanups

Revision 1.6  2003/04/02 14:51:31  djrzulf
- cleanups,

Revision 1.5  2003/04/02 11:34:22  djrzulf
- hm, i think it's finished, release 1

Revision 1.4  2003/04/02 11:32:53  djrzulf
- cosmetics

Revision 1.3  2003/04/02 11:22:26  djrzulf
- cosmetics, BR are needed ! :)

Revision 1.2  2003/04/02 11:03:21  djrzulf
- added BRs (dunno if they are needed),

Revision 1.1  2003/04/02 10:50:38  djrzulf
- initial version
